### Method

# WebKit2 Settings get_javascript_can_open_windows_automatically

#### Declaration [src]

    gboolean
    webkit_settings_get_javascript_can_open_windows_automatically (
      WebKitSettings* settings
    )

#### Description [src]

Get the `WebKitSettings:javascript-can-open-windows-automatically` property.

Gets property | `WebKit2.Settings:javascript-can-open-windows-automatically`

#### Return value

Type: `gboolean`

`TRUE` If JavaScript can open window automatically or `FALSE` otherwise.